<?php

	/**
	 * AVE.cms - Модуль Публикатор документов
	 *
	 * @package AVE.cms
	 * @subpackage module_EditDoc
	 * @filesource
	 */

	/**
	 * mySQL-запросы для установки, обновления и удаления модуля
	 */

	$module_sql_install = array();
	$module_sql_deinstall = array();
	$module_sql_update = array();

	// Удаление модуля
	$module_sql_deinstall[] = "DROP TABLE IF EXISTS `%%PRFX%%_module_editdoc`;";

	// Установка модуля
	$module_sql_install[] = "CREATE TABLE `%%PRFX%%_module_editdoc` (
		`id` mediumint(5) unsigned NOT NULL AUTO_INCREMENT,
		`editdoc_name` varchar(255) NOT NULL,
		`editdoc_rub` mediumint(5) DEFAULT NULL,
		`editdoc_template` longtext NOT NULL,
		`editdoc_fill_filters` longtext NOT NULL,
		`editdoc_before_edit` longtext NOT NULL,
		`editdoc_after_edit` longtext NOT NULL,
		`editdoc_use_revisions` enum('0','1') NOT NULL DEFAULT '0',
		`editdoc_use_rubric_code` enum('0','1') NOT NULL DEFAULT '0',
		`editdoc_use_log_save` enum('0','1') NOT NULL DEFAULT '0',
		`editdoc_last_change` int(10) unsigned DEFAULT NULL,
		PRIMARY KEY (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=utf8;";

	// Обновление модуля
	$module_sql_update[] = "
		UPDATE
			`%%PRFX%%_module`
		SET
			ModuleAveTag = '" . $modul['ModuleAveTag'] . "',
			ModulePHPTag = '" . $modul['ModulePHPTag'] . "',
			ModuleVersion = '" . $modul['ModuleVersion'] . "'
		WHERE
			ModuleSysName = '" . $modul['ModuleSysName'] . "'
		LIMIT 1;
	";
?>